

// импорт библиотеки
#include <RPlatform.h>

// объявляем объект RPlatform
RPlatform robot;

void setup()
{
  // Запуск программы после нажатия на Start с паузой в три секунды
  while (!robot.isStartPressed())
  {
  }
  delay(1000);

}

void loop()
{
  robot.setPower(40); // мощность моторов - 20

  robot.setRunSettings(FW, FW, 100, 100);
  robot.runSteps(1, 1); // левое колесо - 24 шага, правое - 24
  // считываем показания датчика в 2 слоте
  if (robot.readSensor(2) < 20)
      {
        robot.ledOn(3); // включение светодиода
        robot.setRunSettings(FW, FW, 100, 20);
        robot.runSteps(10, 1); // левое колесо - 24 шага, правое - 24
  }
  else
     {  
        robot.ledOff(3); // выключение светодиода
      }
 
  // считываем показания датчика в 5 слоте
  if (robot.readSensor(5) < 20)
     {
        robot.ledOn(4); // включение светодиода
        robot.setRunSettings(FW, FW, 20, 100);
        robot.runSteps(1, 10); // левое колесо - 24 шага, правое - 24
  }
  else
     {  
        robot.ledOff(4); // выключение светодиода
 
   }
}
